version: '3.8'

services:
  run:
    build: .
    command: python3 -u main.py example.wav
    volumes:
      - .:/workspace
    user: hugo
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              count: 1
              capabilities: [gpu]
